org.jboss.resteasy.plugins.providers.multipart

## Class MultipartFormDataOutput

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.MultipartOutput
  - - org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataOutput

-     public class MultipartFormDataOutput
      extends MultipartOutput

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,OutputPart>` | `formData`

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartOutput

      `boundary, parts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartFormDataOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputPart` | `addFormData(String key, Object entity, Class<?> type, Type genericType, MediaType mediaType)`
    `OutputPart` | `addFormData(String key, Object entity, Class<?> type, Type genericType, MediaType mediaType, String filename)`
    `OutputPart` | `addFormData(String key, Object entity, GenericType<?> type, MediaType mediaType)`
    `OutputPart` | `addFormData(String key, Object entity, GenericType<?> type, MediaType mediaType, String filename)`
    `OutputPart` | `addFormData(String key, Object entity, MediaType mediaType)`
    `OutputPart` | `addFormData(String key, Object entity, MediaType mediaType, String filename)`
    `Map<String,OutputPart>` | `getFormData()`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartOutput

      `addPart, addPart, addPart, addPart, addPart, addPart, getBoundary, getParts, setBoundary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### formData

          protected Map<String,OutputPart> formData

  - ### Constructor Detail

    - #### MultipartFormDataOutput

          public MultipartFormDataOutput()

  - ### Method Detail

    - #### addFormData

          public OutputPart addFormData(String key,
                               Object entity,
                               MediaType mediaType)

    - #### addFormData

          public OutputPart addFormData(String key,
                               Object entity,
                               MediaType mediaType,
                               String filename)

    - #### addFormData

          public OutputPart addFormData(String key,
                               Object entity,
                               GenericType<?> type,
                               MediaType mediaType)

    - #### addFormData

          public OutputPart addFormData(String key,
                               Object entity,
                               GenericType<?> type,
                               MediaType mediaType,
                               String filename)

    - #### addFormData

          public OutputPart addFormData(String key,
                               Object entity,
                               Class<?> type,
                               Type genericType,
                               MediaType mediaType)

    - #### addFormData

          public OutputPart addFormData(String key,
                               Object entity,
                               Class<?> type,
                               Type genericType,
                               MediaType mediaType,
                               String filename)

    - #### getFormData

          public Map<String,OutputPart> getFormData()

Copyright © 2014. All Rights Reserved.